Bug 1837152 - Bootstrap stuck on waiting on condition EtcdRunningInCluster in etcd CR /cluster to be True
Summary: Bootstrap stuck on waiting on condition EtcdRunningInCluster in etcd CR /clus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd Operator
Version: 4.4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: 4.4.z
Assignee: Suresh Kolichala
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1814576
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-19 00:04 UTC by OpenShift BugZilla Robot
Modified: 2020-07-21 10:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The target member match was not strict. Consequence: If the ipaddresses overlap, the wrong member is returned as a match. Fix: Make the target member match strict. Result: The target member matches correctly with the exact match.
Clone Of:
Environment:
Last Closed: 2020-07-21 10:31:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift etcd pull 49 None closed Bug 1837152: make evaluation of targetMember strict 2020-11-20 21:31:34 UTC
Red Hat Product Errata RHBA-2020:2913 None None None 2020-07-21 10:31:46 UTC

Comment 6 errata-xmlrpc 2020-07-21 10:31:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2913


Note You need to log in before you can comment on or make changes to this bug.